Package org.eclipse.ui.commands

# Class CommandManagerEvent

java.lang.Object
org.eclipse.ui.commands.CommandManagerEvent

@Deprecated public final class CommandManagerEvent extends Object
Deprecated.
Please use the "org.eclipse.core.commands" plug-in instead. This API is scheduled for deletion, see Bug 431177 for details
An instance of this class describes changes to an instance of `ICommandManager`.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  - `ICommandManagerListener.commandManagerChanged(CommandManagerEvent)`
  - `CommandManagerEvent`
Restriction:
  This class is scheduled for deletion.

## Constructor Summary

Constructors
Constructor
Description
`CommandManagerEvent(ICommandManager commandManager, boolean activeContextIdsChanged, boolean activeKeyConfigurationIdChanged, boolean activeLocaleChanged, boolean activePlatformChanged, boolean definedCategoryIdsChanged, boolean definedCommandIdsChanged, boolean definedKeyConfigurationIdsChanged, Set previouslyDefinedCategoryIds, Set previouslyDefinedCommandIds, Set previouslyDefinedKeyConfigurationIds)`
Deprecated.
Creates a new instance of this class.

## Method Summary

Modifier and Type
Method
Description
`ICommandManager`
`getCommandManager()`
Deprecated.
`Set`
`getPreviouslyDefinedCategoryIds()`
Deprecated.
`Set`
`getPreviouslyDefinedCommandIds()`
Deprecated.
`Set`
`getPreviouslyDefinedKeyConfigurationIds()`
Deprecated.
`boolean`
`hasActiveKeyConfigurationIdChanged()`
Deprecated.
`boolean`
`hasActiveLocaleChanged()`
Deprecated.
`boolean`
`hasActivePlatformChanged()`
Deprecated.
`boolean`
`haveActiveContextIdsChanged()`
Deprecated.
`boolean`
`haveDefinedCategoryIdsChanged()`
Deprecated.
`boolean`
`haveDefinedCommandIdsChanged()`
Deprecated.
`boolean`
`haveDefinedKeyConfigurationIdsChanged()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandManagerEvent

public CommandManagerEvent(ICommandManager commandManager, boolean activeContextIdsChanged, boolean activeKeyConfigurationIdChanged, boolean activeLocaleChanged, boolean activePlatformChanged, boolean definedCategoryIdsChanged, boolean definedCommandIdsChanged, boolean definedKeyConfigurationIdsChanged, Set previouslyDefinedCategoryIds, Set previouslyDefinedCommandIds, Set previouslyDefinedKeyConfigurationIds)
Deprecated.
Creates a new instance of this class.

Parameters:
  `commandManager` - the instance of the interface that changed.
  `activeContextIdsChanged` - true, iff the activeContextIdsChanged property changed.
  `activeKeyConfigurationIdChanged` - true, iff the activeKeyConfigurationIdChanged property changed.
  `activeLocaleChanged` - true, iff the activeLocaleChanged property changed.
  `activePlatformChanged` - true, iff the activePlatformChanged property changed.
  `definedCategoryIdsChanged` - true, iff the definedCategoryIdsChanged property changed.
  `definedCommandIdsChanged` - true, iff the definedCommandIdsChanged property changed.
  `definedKeyConfigurationIdsChanged` - true, iff the definedKeyConfigurationIdsChanged property changed.
  `previouslyDefinedCategoryIds` - the set of identifiers to previously defined categories. This set may be empty. If this set is not empty, it must only contain instances of `String`. This set must be `null` if definedCategoryIdsChanged is `false` and must not be null if definedCategoryIdsChanged is `true`.
  `previouslyDefinedCommandIds` - the set of identifiers to previously defined commands. This set may be empty. If this set is not empty, it must only contain instances of `String`. This set must be `null` if definedCommandIdsChanged is `false` and must not be null if definedContextIdsChanged is `true`.
  `previouslyDefinedKeyConfigurationIds` - the set of identifiers to previously defined key configurations. This set may be empty. If this set is not empty, it must only contain instances of `String`. This set must be `null` if definedKeyConfigurationIdsChanged is `false` and must not be null if definedKeyConfigurationIdsChanged is `true`.

## Method Details

### getCommandManager

@Deprecated public ICommandManager getCommandManager()
Deprecated.
Returns the instance of the interface that changed.

Returns:
  the instance of the interface that changed. Guaranteed not to be `null`.

### getPreviouslyDefinedCategoryIds

@Deprecated public Set getPreviouslyDefinedCategoryIds()
Deprecated.
Returns the set of identifiers to previously defined categories.

Returns:
  the set of identifiers to previously defined categories. This set may be empty. If this set is not empty, it is guaranteed to only contain instances of `String`. This set is guaranteed to be `null` if haveDefinedCategoryIdsChanged() is `false` and is guaranteed to not be null if haveDefinedCategoryIdsChanged() is `true`.

### getPreviouslyDefinedCommandIds

@Deprecated public Set getPreviouslyDefinedCommandIds()
Deprecated.
Returns the set of identifiers to previously defined commands.

Returns:
  the set of identifiers to previously defined commands. This set may be empty. If this set is not empty, it is guaranteed to only contain instances of `String`. This set is guaranteed to be `null` if haveDefinedCommandIdsChanged() is `false` and is guaranteed to not be null if haveDefinedCommandIdsChanged() is `true`.

### getPreviouslyDefinedKeyConfigurationIds

@Deprecated public Set getPreviouslyDefinedKeyConfigurationIds()
Deprecated.
Returns the set of identifiers to previously defined key conigurations.

Returns:
  the set of identifiers to previously defined key configurations. This set may be empty. If this set is not empty, it is guaranteed to only contain instances of `String`. This set is guaranteed to be `null` if haveDefinedKeyConfigurationIdsChanged() is `false` and is guaranteed to not be null if haveDefinedKeyConfigurationIdsChanged() is `true`.

### hasActiveKeyConfigurationIdChanged

@Deprecated public boolean hasActiveKeyConfigurationIdChanged()
Deprecated.
Returns whether or not the activeKeyConfigurationId property changed.

Returns:
  true, iff the activeKeyConfigurationId property changed.

### hasActiveLocaleChanged

@Deprecated public boolean hasActiveLocaleChanged()
Deprecated.
Returns whether or not the activeLocale property changed.

Returns:
  true, iff the activeLocale property changed.

### hasActivePlatformChanged

@Deprecated public boolean hasActivePlatformChanged()
Deprecated.
Returns whether or not the activePlatform property changed.

Returns:
  true, iff the activePlatform property changed.

### haveActiveContextIdsChanged

@Deprecated public boolean haveActiveContextIdsChanged()
Deprecated.
Returns whether or not the activeContextIds property changed.

Returns:
  true, iff the activeContextIds property changed.

### haveDefinedCategoryIdsChanged

@Deprecated public boolean haveDefinedCategoryIdsChanged()
Deprecated.
Returns whether or not the definedCategoryIds property changed.

Returns:
  true, iff the definedCategoryIds property changed.

### haveDefinedCommandIdsChanged

@Deprecated public boolean haveDefinedCommandIdsChanged()
Deprecated.
Returns whether or not the definedCommandIds property changed.

Returns:
  true, iff the definedCommandIds property changed.

### haveDefinedKeyConfigurationIdsChanged

@Deprecated public boolean haveDefinedKeyConfigurationIdsChanged()
Deprecated.
Returns whether or not the definedKeyConfigurationIds property changed.

Returns:
  true, iff the definedKeyConfigurationIds property changed.